#include "newADVISEModelPVsPVNodes.h"

newADVISEModelPVsPV0Worker::newADVISEModelPVsPV0Worker()
{
  NumModels = 1;
  TheModelPtr = new BaseModelClass**[NumModels];
  TheModelPtr[0] = (BaseModelClass**)(&newADVISEModel);
}

newADVISEModelPVsPV0Worker::~newADVISEModelPVsPV0Worker() {
  delete [] TheModelPtr;
}

double newADVISEModelPVsPV0Worker::Reward_Function(void) {

return newADVISEModel->Goal_GainScadaNetworkAccess->Mark();

return (0);



}

newADVISEModelPVsPV0::newADVISEModelPVsPV0(int timeindex) {
  TheModelPtr = (BaseModelClass**)(&ThenewADVISEModelADVISE);
  double startpts[13]={0.0, 2.0, 4.0, 6.0, 8.0, 10.0, 12.0, 14.0, 16.0, 18.0, 20.0, 22.0, 24.0};
  double stoppts[13]={0.0, 2.0, 4.0, 6.0, 8.0, 10.0, 12.0, 14.0, 16.0, 18.0, 20.0, 22.0, 24.0};
  Initialize("SCADANetworkCompromised",(RewardType)0,13, startpts, stoppts, timeindex, 0,1, 1);
  AddVariableDependency("Goal_GainScadaNetworkAccess","newADVISEModel");
}

newADVISEModelPVsPV0::~newADVISEModelPVsPV0() {
  for(int i = 0; i < NumberOfWorkers; i++) {
    delete[] WorkerList[i]->Name;
    delete WorkerList[i];
  }
}

void newADVISEModelPVsPV0::CreateWorkerList(void) {
  for(int i = 0; i < NumberOfWorkers; i++)
    WorkerList[i] = new newADVISEModelPVsPV0Worker;
}
