
#ifndef newADVISEModelSetStudySetSTUDY_H_
#define newADVISEModelSetStudySetSTUDY_H_

#include "Reward/newADVISEModelPVs/newADVISEModelPVsPVNodes.h"
#include "Reward/newADVISEModelPVs/newADVISEModelPVsPVModel.h"
#include "BaseClasses/GlobalVariables.h"
#include "Study/BaseStudyClass.hpp"

extern Short userAuthStrength;
extern Char userAuthType;

class newADVISEModelSetStudySetStudy : public BaseStudyClass {
public:

newADVISEModelSetStudySetStudy();
~newADVISEModelSetStudySetStudy();

private:

short *userAuthStrengthValues;
char *userAuthTypeValues;

void SetValues_userAuthStrength();
void SetValues_userAuthType();

void PrintGlobalValues(int expNum) override;
void *GetGVValue(char *TheGVName) override;
void OverrideGVValue(char *TheGVName, void *TheGVValue) override;
void SetGVs(int expNum) override;
PVModel *GetPVModel(bool expandTimeArrays) override;
};

#endif

