#ifndef _NEWADVISEMODELPVS_PVS_
#define _NEWADVISEMODELPVS_PVS_
#include <math.h>
#include "Performance_Variables/PerformanceVariableNode.hpp"
#include "Atomic/newADVISEModel/newADVISEModelADVISE.h"
#include "Performance_Variables/InstantOfTime.hpp"


class newADVISEModelPVsPV0Worker:public InstantOfTime
{
 public:
  newADVISEModelADVISE *newADVISEModel;
  
  newADVISEModelPVsPV0Worker();
  ~newADVISEModelPVsPV0Worker();
  double Reward_Function();
};

class newADVISEModelPVsPV0:public PerformanceVariableNode
{
 public:
  newADVISEModelADVISE *ThenewADVISEModelADVISE;

  newADVISEModelPVsPV0Worker *newADVISEModelPVsPV0WorkerList;

  newADVISEModelPVsPV0(int timeindex=0);
  ~newADVISEModelPVsPV0();
  void CreateWorkerList(void);
};

#endif
